<div class="oj-flex">
  <h1 class="oj-flex-item oj-sm-12 oj-md-12">Environment Detail</h1>
</div>
<div class="oj-flex">
  <oj-form-layout label-edge="start" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-input-number value="[[ $page.variables.environmentBO.id ]]" readonly="true" label-hint="Id"></oj-input-number>
    <oj-label id="oj-label--904225194-1">teancyName</oj-label>
    <div aria-labelledby="oj-label--904225194-1">
      <oj-bind-text value="[[ $page.variables.environmentBO.teancyName ]]"></oj-bind-text>
    </div>
    <oj-label id="oj-label--904225194-2">Compartment</oj-label>
    <div aria-labelledby="oj-label--904225194-2">
      <oj-bind-text value="[[ $page.variables.environmentBO.compartment ]]"></oj-bind-text>
    </div>
    <oj-label id="oj-label--904225194-3">productName</oj-label>
    <div aria-labelledby="oj-label--904225194-3">
      <oj-bind-text value="[[ $page.variables.environmentBO.productName ]]"></oj-bind-text>
    </div>
    <oj-input-text value="{{ $page.variables.environmentBO.environmentName }}" readonly="false" label-hint="Environment Name"></oj-input-text>
    <oj-input-text value="[[ $page.variables.environmentBO.uRL ]]" readonly="true" label-hint="URL" virtual-keyboard="url" validators='[{"type":"regexp", "options":{"pattern":".*", "hint":"Enter a valid URL", "messageDetail": "Value must be a valid URL"}}]'></oj-input-text>
    <oj-input-text value="[[ $page.variables.environmentBO.comments ]]" readonly="true" label-hint="Comments"></oj-input-text>
    <oj-input-text value="[[ $page.variables.environmentBO.administrator ]]" readonly="true" label-hint="Administrator" display-options="hidden"></oj-input-text>
    <oj-input-text value="[[ $page.variables.environmentBO.administratorEmail ]]" readonly="true" label-hint="Administrator Email" virtual-keyboard="email" validators='[{"type":"regexp", "options":{"pattern":"([a-zA-Z0-9_\\-\\.]+)@([a-zA-Z0-9_\\-\\.]+)\\.([a-zA-Z]{2,5})", "hint":"Enter an email address.", "messageDetail": "Value must be of the form xxx@xxx.xx"}}]'></oj-input-text>
    <oj-input-text value="[[ $page.variables.environmentBO.createdBy ]]" readonly="true" label-hint="Created By"></oj-input-text>
    <oj-input-date-time value="[[ $page.variables.environmentBO.creationDate ]]" readonly="true" label-hint="Created"></oj-input-date-time>
    <oj-input-text value="[[ $page.variables.environmentBO.lastUpdatedBy ]]" readonly="true" label-hint="Last Updated By"></oj-input-text>
    <oj-input-date-time value="[[ $page.variables.environmentBO.lastUpdateDate ]]" readonly="true" label-hint="Last Updated"></oj-input-date-time>
  </oj-form-layout>
</div>
<div class="oj-flex">
  <oj-toolbar chroming="full" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-button on-oj-action="[[$page.listeners.backButtonClicked]]">Back</oj-button>
  </oj-toolbar>
</div>
